Page MenuHomePhabricator

Goal: Most welcoming and productive Wikimedia Hackathon
Closed, ResolvedPublic

Description

We aim to solve some known problems at the Wikimedia Hackathon 2015:

We want to promote experimentation and tangible results, defining focus areas and supporting the organization of teams to work on them.
Result: Success! 33 projects showcased (T96378), at least 7 of them worth supporting further (T101151).

We want to reach out to projects and communities beyond the usual Wikimedia tech suspects.
Result: Success. 19% of participants were new volunteers (T88521).

We want to excel at welcoming the newcomers and mix them with established groups of contributors.
Result: Success. 100% of newcomers had a buddy and, in general, anybody willing to have a buddy got one (T93069).

See also: https://blog.wikimedia.org/2015/06/27/2015-wikimedia-hackathon-france/

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAlexCella
ResolvedAlexCella
ResolvedAlexCella
ResolvedRfarrand
ResolvedSylvain_WMFr
ResolvedSylvain_WMFr
ResolvedAlexCella
ResolvedQgil
ResolvedOmar_sansi
ResolvedQgil
Resolved yuvipanda
Resolvedcoren
Resolvedgreg
Resolved GWicke
Resolved GWicke
Resolvedmobrovac
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedSylvain_WMFr
ResolvedRfarrand
ResolvedQgil
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedJeanPhilippe_WMFr

Event Timeline

Qgil created this task.Mar 23 2015, 2:26 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil assigned this task to Rfarrand.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 2:26 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Florian updated the task description. (Show Details)Mar 23 2015, 3:38 PM
Florian set Security to None.
Florian added a subscriber: Florian.
Qgil added a comment.Mar 23 2015, 6:12 PM

WMF Engineering & Product teams are being asked to define their main goal for April-June 2015, and this task has been selected by Developer-Advocacy as main goal: https://www.mediawiki.org/wiki/Wikimedia_Engineering/2014-15_Goals#Engineering_Community

We have to define key results, and this is what I have drafted:

(WIP) 8 hackathon projects showcased, 2 of them worth supporting further; 10% of participants are new volunteers; 100% of newcomers have a buddy

@Rfarrand and others, do you agree?

As soon as we are settled on the basics of this task, Rachel will have all the elements to lead it.

Eloquence added a subscriber: Eloquence.

(Roadmap is currently for significant functionality that reaches users & developers, let's discuss outside the context of this task if we want to add events, and if so, in what form.)

Qgil added a comment.Mar 23 2015, 8:29 PM

@Eloquence, no problem. I was just wondering and I thought this was an efficient way to poke you. It worked. ;)

Sumit added a subscriber: Sumit.Mar 24 2015, 7:48 PM
Qgil added a comment.Apr 16 2015, 9:53 AM

@Rfarrand, let's agree on the basic details of this goal. T93770: Engineering Community quarterly goals for April-June 2015 says:

ObjectiveImpact on goalDependencyETAStatus
T93584: Goal: Most welcoming and productive Wikimedia Hackathon(WIP, see T88521) 8 hackathon projects showcased, 2 of them worth supporting further; 10% of participants are new volunteers; 100% of newcomers have a buddyWikimedia France: local organization, promotion, travel sponsorshipsMay 2015In progress

Do you agree?

Also, when creating this task I added a bunch of blocking tasks. Do you think these are the right blockers? Otherwise please add / remove as you see fit.

Deadline by the end of our team meeting next Tuesday?

Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 16 2015, 10:04 AM
Rfarrand raised the priority of this task from Normal to High.May 6 2015, 11:56 PM
Qgil added a comment.EditedMay 26 2015, 6:50 AM

The hackathon is over and we will need to work on the metrics and survey in order to have a week founded report. However, the first impression is clear: this ambitious goal has been accomplished, and the experiments we run have worked out. As usual, we will fine tune things for the next events, but this was the most welcoming and productive Wikimedia Hackathon indeed.

Thank you very much to everybody involved, from those that were at the forefront with a mic to the many and many that worked from the backstage, volunteers and venue included. As the wiki page says, feel proud!

Still need to do the survey and finalize some metrics, but I am closing this task! :)

Rfarrand closed this task as Resolved.Jun 2 2015, 5:20 AM
Qgil updated the task description. (Show Details)Jun 27 2015, 3:11 PM